const { Model } = require("objection");
const Knex = require("knex");
const knexConfig = require("../knexfile");

class Redirect extends Model {
    static get tableName() {
        return "redirects";
    }

    static get jsonSchema() {
        return {
            type: "object",
            required: ["forward_to", "alias"],
            properties: {
                id: { type: "integer" },
                forwardTo: { type: "string" },
                alias: { type: "string" },
            },
        };
    }

    static get relationMappings() {
        return {
            user: {
                relation: Model.BelongsToOneRelation,
                modelClass: "User",
                from: "redirects.user_id",
                to: "user.id",
            },
        };
    }
}

module.exports = Redirect;
